CWIS Developer Documentation

- Home
- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
PersistentDoublyLinkedList_Test Class Reference

Tests for the PersistentlyDoublyLinkedList. More...

Inheritance diagram for PersistentDoublyLinkedList_Test:
[legend]
Collaboration diagram for PersistentDoublyLinkedList_Test:
[legend]

## Public Member Functions
| setUp ()
| Prior to each test, ensure that tables are empty. More...
| testAppendNoTypes ()
| Create an untyped list, append elements to it. More...
| testPrependNoTypes ()
| Create an untyped list, prepend elements to it. More...
| testInsertBeforeNoTypes ()
| Create an untyped list, test InsertBefore on it. More...
| testInsertAfterNoTypes ()
| Create an untyped list, test InsertAfter on it. More...
| testAppendTypes ()
| Create a typed list, test Append()ing to it. More...
| testPrependTypes ()
| Create a typed list, test Prepend()ing to it. More...
| testInsertBeforeTypes ()
| Create a typed list, test InsertBefore() on it. More...
| testInsertAfterTypes ()
| Create a typed list, test InsertAfter() on it. More...
| testSqlCondition ()
| Create an untyped list, verify that we can add an SqlCondition to it. More...

## Static Public Member Functions
static | setUpBeforeClass ()
| Create necessary database tables for testing the PDLL class. More...
static | tearDownAfterClass ()
| Destroy tables created for testing. More...

## Detailed Description

Tests for the PersistentlyDoublyLinkedList.

Does not currently test lists that specify an SQL Condition. Also, the current set of tests don't mix Append/Prepend calls, just doing a sequence of either and verifying the correctness of the result.

Definition at line 8 of file PersistentDoublyLinkedList--Test.php.

## Member Function Documentation

PersistentDoublyLinkedList_Test::setUp | ( |  | ) |

Prior to each test, ensure that tables are empty.

Definition at line 42 of file PersistentDoublyLinkedList--Test.php.

static PersistentDoublyLinkedList_Test::setUpBeforeClass | ( |  | ) |
| static

Create necessary database tables for testing the PDLL class.

Definition at line 13 of file PersistentDoublyLinkedList--Test.php.

static PersistentDoublyLinkedList_Test::tearDownAfterClass | ( |  | ) |
| static

Destroy tables created for testing.

Definition at line 32 of file PersistentDoublyLinkedList--Test.php.

PersistentDoublyLinkedList_Test::testAppendNoTypes | ( |  | ) |

Create an untyped list, append elements to it.

Covers: Append(), GetCount(), GetIds()

Definition at line 69 of file PersistentDoublyLinkedList--Test.php.

PersistentDoublyLinkedList_Test::testAppendTypes | ( |  | ) |

Create a typed list, test Append()ing to it.

Covers Append(), GetCount(), GetIds()

Definition at line 238 of file PersistentDoublyLinkedList--Test.php.

PersistentDoublyLinkedList_Test::testInsertAfterNoTypes | ( |  | ) |

Create an untyped list, test InsertAfter on it.

covers InsertAfter(), GetCount(), GetIds()

Definition at line 208 of file PersistentDoublyLinkedList--Test.php.

PersistentDoublyLinkedList_Test::testInsertAfterTypes | ( |  | ) |

Create a typed list, test InsertAfter() on it.

Covers InsertBefore(), GetCount(), GetIds()

Definition at line 379 of file PersistentDoublyLinkedList--Test.php.

PersistentDoublyLinkedList_Test::testInsertBeforeNoTypes | ( |  | ) |

Create an untyped list, test InsertBefore on it.

covers InsertBefore(), GetCount(), GetIds()

Definition at line 178 of file PersistentDoublyLinkedList--Test.php.

PersistentDoublyLinkedList_Test::testInsertBeforeTypes | ( |  | ) |

Create a typed list, test InsertBefore() on it.

Covers InsertBefore(), GetCount(), GetIds()

Definition at line 349 of file PersistentDoublyLinkedList--Test.php.

PersistentDoublyLinkedList_Test::testPrependNoTypes | ( |  | ) |

Create an untyped list, prepend elements to it.

Covers: Prepend(), GetCount(), GetIds()

Definition at line 129 of file PersistentDoublyLinkedList--Test.php.

PersistentDoublyLinkedList_Test::testPrependTypes | ( |  | ) |

Create a typed list, test Prepend()ing to it.

Covers Append(), GetCount(), GetIds()

Definition at line 299 of file PersistentDoublyLinkedList--Test.php.

PersistentDoublyLinkedList_Test::testSqlCondition | ( |  | ) |

Create an untyped list, verify that we can add an SqlCondition to it.

Covers SqlCondition()

Definition at line 409 of file PersistentDoublyLinkedList--Test.php.

The documentation for this class was generated from the following file:

- lib/ScoutLib/tests/PersistentDoublyLinkedList--Test.php